String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
function DetAuto(){
	if(jLen(gv("DR_NOM"))>0){
		alert("La lista de productos ha sido "+
			 "cargada automaticamente por lo "+
			 "tanto no se puede agregar, "+
			 "modificar o quitar algun producto");
		return true;
	}else{
		return false;
	}
}
function fEditar(lpIndex){	
	//var DR=gv("DR_NOM");
	//if(jVal(DR)>0){
	//	alert("El presente registro ha sido tomando "+
	//		  "como referencia en una guia de remision, por lo tanto NO SE PUEDE MODIFICAR");		
	//}else{
		var hw=document.getElementById("TxtHW").value;
		Ow("guias_editar.php?I="+lpIndex+"&H="+hw,550*ZO(),280*ZO());	
	//}
}

function fLoad(){
	document.getElementById("TxtAc").value="UP";
	document.getElementById("Frm").submit();
}

function fLimDet(){
	document.getElementById("TxtCod").value="";
	document.getElementById("TxtDes").value="";
	document.getElementById("TxtMarcas").value="";
	document.getElementById("TxtCant").value="";
	document.getElementById("TxtCUni").value="";
	document.getElementById("TxtCod").focus();
}

//**************************************************************************
function VUELTO(){
	var StrTC=document.getElementById("TxtTC").value;
	var StrMon=document.getElementById("CboMon").value;
	var StrTot=document.getElementById("T_TOH").value;
	var StrPag=document.getElementById("TxtPagarCon").value;
	if(StrPag.trim().length==0){
		StrPag="0";
	}
	StrTC=parseFloat(StrTC);
	StrTot=parseFloat(StrTot);
	StrPag=parseFloat(StrPag);
	if(StrMon=="DOLARES"){
		StrPag=StrPag * StrTC;
		StrPag=StrPag.toFixed(2);
	}
	var Vuelto=parseFloat("0");
	if(StrTot>StrPag){
		document.getElementById("TxtVuelto").value="0.0";
		return;
	}else{
		Vuelto=StrPag - StrTot;
	}
	Vuelto=Vuelto.toFixed(2);
	document.getElementById("TxtVuelto").value=Vuelto;
}
function CerrarDIV(){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	DivCaption.style.visibility="hidden";
	DivDatos.style.visibility="hidden";	
	document.getElementById("TxtDes").focus();
}
//**************************************************************************
function TDP(){
	var StrTdp=document.getElementById("CboTdp").value;
	document.getElementById("CboMon").value="SOLES"
	if(StrTdp=="CONTADO"){
document.getElementById("TxtPagarCon").readOnly=false;
document.getElementById("TxtPagarCon").value=document.getElementById("T_TO").value;		
document.getElementById("TxtVuelto").value="0.0";
document.getElementById("CboMon").disabled=false;
	}else{
		document.getElementById("TxtPagarCon").readOnly=true;
		document.getElementById("TxtPagarCon").value="0.0";
		document.getElementById("CboMon").disabled=true;
	}
	
}
function AutoNumeracion(estado){
	if(estado==2 && jLen(gv("TxtNum"))>0){
		//document.getElementById("TxtNum").value="";
	}else{
		document.getElementById("TxtNum").value="";
	}
	
	var Plom=document.getElementById("TxtTC").style.backgroundColor;
	var Blan=document.getElementById("TxtCod").style.backgroundColor;
	if(estado>0){
		document.getElementById("TxtNum").readOnly=true;
		document.getElementById("TxtNum").style.backgroundColor=Plom;
		if(estado==1){
			document.getElementById("TxtFec").focus();
		}
	}else{
		document.getElementById("TxtNum").readOnly=false;
		document.getElementById("TxtNum").style.backgroundColor=Blan;
		document.getElementById("TxtNum").focus();
	}
}
//**************************************************************************
function fValLR(){
	//
	var e=gv("CboEmp");
	var c=gv("CboCom");
	var s=gv("TxtSerR");
	var n=gv("TxtNumR");
	//
	ajax=CreateAJAX();
	var StrUrl="";
	StrUrl="aj_dev.php?C=VC&P1="+c+"&P2="+s+"&P3="+n+"&P4="+e;	
	ajax.open("GET",StrUrl,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;
	return StrHtml.trim();
}
function LoadRef(){
	var emp=gv("CboEmp");
	var com=gv("CboCom");
	var ser=gv("TxtSerR");
	var num=gv("TxtNumR");
	if(jL(emp)==0){
		alert("Seleccione una empresa");
		return jF("CboEmp");
	}
	if(jL(com)==0){
		alert("Seleccion un comprobante");
		jFocus("CboCom");return;
	}
	if(jL(ser)==0){
		alert("Ingrese la serie de la proforma");
		document.getElementById("TxtSerR").focus();
		return;
	}
	if(jL(num)==0){
		alert("Ingrese el numero");
		document.getElementById("TxtNumR").focus();
		return;
	}
	if(gv("CmdLoad")=="Cargar referencia"){
		var R=fValLR();
		if(R=="OK"){
			document.getElementById("TxtAc").value="LOAD_REF";
		}else{
			if(R=="NR"){
				alert(com+ " NO REGISTRADA");return;
			}
			if(R=="AN"){
				alert(com+" HA SIDO ANULADA");return;
			}
			if(R=="NP"){
				alert(com+" NO ES UN DOCUMENTO PRINCIPAL");return;
			}	
		}		
	}else{
		document.getElementById("TxtAc").value="LOAD_REF_X";
	}	
	document.getElementById("Frm").submit();
}
function fChDesc(){
	var p=gv("DR_DES");
	if(jVal(p)>0){
		document.getElementById("Ch_DES").checked=false;
		alert("El documento de referencia ya ha descontado el stock");
		return;
	}

}
//**************************************************************************
function fCls(){
	
	document.getElementById("TxtIdCliente").value="0";
	document.getElementById("TxtCliente").value="";
	document.getElementById("TxtRuc").value="";
}
//**************************************************************************
function fKiller(lpIndex){
	//var DR=gv("DR_NOM");
	//if(jVal(DR)>0){
	//	alert("El presente registro ha sido tomando "+
	//		  "como referencia en una guia de remision, por lo tanto NO SE PUEDE ELIMINAR");		
	//}else{
		document.getElementById("Pro_TxtId").value=lpIndex;
		document.getElementById("TxtAc").value="KILLER";
		document.getElementById("Frm").submit();
	//}
}
//**************************************************************************
//--------------------------------------------------------------------
function AjImprimir(){
	DImp=document.getElementById("DivP");
	DImp.style.visibility="visible";
	DImp.innerHTML="<img src='../jx/load2.gif' width='15' height='15' />";	
	//
	var IdDev=gv("TxtId");
	var stru="devolucion_a_pdf.php?Id="+IdDev;
	try{	
	ajax=CreateAJAX();
	ajax.open("GET",stru);	
	ajax.onreadystatechange=function() {
	   if (ajax.readyState==4) {
		   var Rpt = (ajax.responseText);
		   Rpt=Rpt.trim();		    
		   if(jLen(Rpt)>0){
			   DImp.innerHTML=Rpt;	
		   }else{
			   DImp.innerHTML="";
			   alert("No se pudo generar el reporte");
		   }
	   }
	}
    ajax.send(null);
	}
	catch(err){
	}
}
//--------------------------------------------------------------------
//**************************************************************************
function fGetTabla(){
var Cod=document.getElementById("TxtCod").value;
var Des=document.getElementById("TxtDes").value;
var Mar=document.getElementById("TxtMarcas").value;
if(Des.trim().length>0 || Mar.trim().length>0 || Cod.trim().length>0){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	ajax=CreateAJAX();
var StrU="ajax_funciones.php?Cmd=COMPRAS_PROD_FILTRAR&TxtPar="+Des+"&TxtPar2="+Mar+"&TxtPar3="+Cod;
	ajax.open("GET", StrU);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {
					var StrDatos=ajax.responseText;
					if(StrDatos.trim().length>0){			  
					   DivDatos.innerHTML = StrDatos;
					   DivCaption.style.visibility="visible";
					   DivDatos.style.visibility="visible";	
					}else{
						DivCaption.style.visibility="hidden";
						DivDatos.style.visibility="hidden";	
					}
		   }
	}
	ajax.send(null);
}
}
//**************************************************************************
function fGetProdDatos_Id(lpStrId){
	if(lpStrId.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=COMPRAS_GET_PROD_DATOS_X_ID&TxtPar="+lpStrId);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtCod").value="";
				   document.getElementById("Pro_TxtMarca").value="";
				   document.getElementById("Pro_TxtPre").value="";
   				   document.getElementById("TxtDes").value="";
				   document.getElementById("TxtMarcas").value="";
  				   document.getElementById("TxtPre").value="";				   
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtImp").value="";
				   document.getElementById("TxtCod").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtCod").value=document.getElementById("Pro_TxtCod").value;
document.getElementById("TxtMarcas").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtPre").value=document.getElementById("Pro_TxtPre").value;
document.getElementById("TxtCant").value="1";
document.getElementById("TxtImp").value=document.getElementById("TxtPre").value;
document.getElementById("TxtPre").focus();				   
				   }
				   DivDatos = document.getElementById("TAB_AJAX");
				   DivCaption = document.getElementById("TAB_CAPTION");
				   DivCaption.style.visibility="hidden";
				   DivDatos.style.visibility="hidden";		
				   		   
		   }
	}
    ajax.send(null);
	}
}
function z(lpStrId){
	if(lpStrId.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=COMPRAS_GET_PROD_DATOS_X_ID&TxtPar="+lpStrId);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtCod").value="";
				   document.getElementById("Pro_TxtMarca").value="";
   				   document.getElementById("TxtDes").value="";
				   document.getElementById("TxtMarcas").value="";
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtCod").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtCod").value=document.getElementById("Pro_TxtCod").value;
document.getElementById("TxtMarcas").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtCant").value="1";
document.getElementById("TxtCant").focus();				   
				   }
				   DivDatos = document.getElementById("TAB_AJAX");
				   DivCaption = document.getElementById("TAB_CAPTION");
				   DivCaption.style.visibility="hidden";
				   DivDatos.style.visibility="hidden";		
				   		   
		   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function fGetProdDatos(lpStrCod){
	if(lpStrCod.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=VEN_GET_PROD_DATOS&TxtPar="+lpStrCod);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtMarca").value="";
   				   document.getElementById("TxtDes").value="";
				   document.getElementById("TxtMarcas").value="";
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtCod").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtMarcas").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtCant").value="1";
document.getElementById("TxtCant").focus();
				   }
				   
		   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function fGetRuc(lpStrPro,Obj){
	var StrProveedor=lpStrPro;
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=GET_RUC&TxtPar="+StrProveedor);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			   	   
				   document.getElementById(Obj).value=ajax.responseText;
				   Obj=Obj+"_";
				   document.getElementById(Obj).value=ajax.responseText;
		   }
	}
    ajax.send(null);
}
//**************************************************************************
function fGetProveedor(lpStrRuc,Obj){
	var StrRucH=document.getElementById("TxtRuc_").value;
	var StrRuc=lpStrRuc;
	if(StrRuc!=StrRucH){
		ajax=CreateAJAX();
		ajax.open("GET", "ajax_funciones.php?Cmd=GET_PROVEEDOR&TxtPar="+StrRuc);	
		ajax.onreadystatechange=function() {
			   if (ajax.readyState==4) {
					   var StrPro=ajax.responseText;
					   if(StrPro.trim().length==0){
						   	alert("Numero de ruc no registrado");
						   	document.getElementById(Obj).value="";
						   	document.getElementById(Obj).focus();
					   }else{
							document.getElementById(Obj).value=StrPro;
					   }
			   }
		}
		ajax.send(null);
	}

}
//**************************************************************************
function fCancelarPHP(){
	document.getElementById("TxtAc").value="C";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fAgregar(){
	if(DetAuto()){
		return ;
	}
	var Pro_Id=document.getElementById("Pro_TxtId").value;
	var Pro_Cod=document.getElementById("Pro_TxtCod").value;
	var Pro_Des=document.getElementById("Pro_TxtDes").value;
	
	var Cod=document.getElementById("TxtCod").value;
	var Des=document.getElementById("TxtDes").value;
	var Can=document.getElementById("TxtCant").value;
	var CUni=document.getElementById("TxtCUni").value;
	
	Pro_Id=Pro_Id.trim().toUpperCase();
	Pro_Cod=Pro_Cod.trim().toUpperCase();
	Pro_Des=Pro_Des.trim().toUpperCase();
	
	Cod=Cod.trim().toUpperCase();
	Des=Des.trim().toUpperCase();
	
	if(Cod!=Pro_Cod){
		alert("El codigo del producto ha sido alterado");
		document.getElementById("TxtCod").focus();
		return;
	}
	if(Des!=Pro_Des){
		alert("La descripcion del producto ha sido alterada");
		document.getElementById("TxtDes").focus();
		return;
	}

	if(CUni.length==0){
		alert("Ingrese el nro. de piezas");
		document.getElementById("TxtCUni").focus();
		return;
	}
	document.getElementById("CmdAdd").disabled=true;
	document.getElementById("TxtAc").value="ADD";
	document.getElementById("Frm").submit();
}
//
function fGuardar(){
	var Emp=gv("CboEmp");
	var Alm=document.getElementById("CboAlm").value;
	var Fec=document.getElementById("TxtFec").value;
	var Num=document.getElementById("TxtNum").value;	
	var Com=document.getElementById("CboCom").value;
	var SeR=document.getElementById("TxtSerR").value;
	var NuR=document.getElementById("TxtNumR").value;
	var Cmd=document.getElementById("CmdLoad").value;
	var Rec=document.getElementById("TxtRec").value;
	if(jL(Emp)==0){
		alert("Seleccione una empresa");return jF("CboEmp");
	}
	if(Alm.trim().length==0){alert("Seleccione un almacen");
		document.getElementById("CboAlm").focus();return;
	}
	if(Fec.trim().length==0){alert("Ingrese una fecha");
		document.getElementById("TxtFec").focus();return;}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato");
		document.getElementById("TxtFec").focus();return;}	
	if(document.getElementById("ChN_AUTO").checked==false){		
		if(Num.trim().length==0){alert("Ingrese el numero de comprobante");
			document.getElementById("TxtNum").focus();
			return;}
	}		
	if(jLen(Com)==0){alert("Seleccione un comprobante");
		document.getElementById("CboCom").focus();return;}
	if(jLen(SeR)==0){alert("Ingrese el numero de serie");
		document.getElementById("TxtSerR").focus();return;}
	if(jLen(NuR)==0){alert("Ingrese el numero comprobante");
		document.getElementById("TxtNumR").focus();return;}
	if(Cmd=="Cargar referencia"){alert("Click en el boton 'Cargar referencia'");
		document.getElementById("CmdLoad").focus();return;}

	if(document.getElementById("Ch_DINERO").checked==true){
		if(jLen(Rec)==0){
			alert("Ingrese el numerod de recibo o ingrese cero");
			jFocus("TxtRec");
			return;
		}
	}
	//
	if(document.getElementById("CmdG").value=="Guardar"){
		var Rpta = confirm("Esta seguro que desea Guardar?")		
		if (Rpta==false){
			return;
		}
		document.getElementById("TxtAc").value="G";
	}else{
		var DR=gv("TxtDR");		
		if(jVal(DR)>0){
			alert("El presente registro ha sido tomando "+
				  "como referencia en una guia de remision, "+
				  "por lo tanto NO SE PUEDE MODIFICAR");		
			return;
		}
		var Rpta = confirm("Esta seguro que desea modificar?")		
		if (Rpta==false){
			return;
		}
		document.getElementById("TxtAc").value="M";
	}
	//
	document.getElementById("CmdG").disabled=true;
	document.getElementById("Frm").submit();
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//++
function flEliminar(){
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		document.getElementById("CmdE").disabled=true;
		SM("E");
	}

}
//**************************************************************************
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}
//
function flAnular(){
	var Rpta = confirm("Esta seguro que desea anular?")		
	if (Rpta==true){
		document.getElementById("CmdA").disabled=true;
		SM("A");
	}
}